Bug 1343804 - peerdns documentation
Summary: peerdns documentation
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: doc-Networking_Guide
Version: 7.4
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: rc
: ---
Assignee: Ioanna Gkioka
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1420851
TreeView+ depends on / blocked
 
Reported: 2016-06-08 03:13 UTC by jnikolak
Modified: 2019-11-14 08:19 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-08-03 07:01:34 UTC
Target Upstream Version:
igkioka: needinfo-


Attachments (Terms of Use)

Description jnikolak 2016-06-08 03:13:23 UTC
Hello, I think the initscripts documentation is wrong, but can we confirm.

Red Hat Documentation - https://access.redhat.com/documentation/en-US/Red_Hat_Enterprise_Linux/7/html/Networking_Guide/sec-Using_the_Command_Line_Interface.html#sec-Configuring_a_Network_Interface_Using_ifcg_Files

To configure an interface to ignore routes sent by a DHCP server, add the following line to the ifcfg file.
PEERDNS=no
This will prevent network service from updating /etc/resolv.conf with the DNS servers received from a DHCP server.

============================================
modify /etc/resolv.conf 
if peer uses msdns extension (PPP only) 
or DNS{1,2} are set, 
or if using dhclient. 


"provide DNS addresses that are dropped into the resolv.conf file if PEERDNS is not set to "no"."
This seems to indicate that, we should add dns1 and dns2 if peerdns = yes

Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:

Comment 5 jnikolak 2017-05-18 23:38:06 UTC
Its an improvement from before, for sure.
Good work.


>> By default, NetworkManager calls the DHCP client, dhclient, when a profile has been set to obtain addresses automatically, 

Can you provide more information about "how a profile is set to obtain an ip address automatically"


Note You need to log in before you can comment on or make changes to this bug.